Subject: Re: Feature request: git bisect merge to usable base

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Jan 2016 12:31:44 -0800

Andy Lutomirski <[email-masked]> writes:

> git bisect run is great, but it's not so great when the test process
> is "sudo make modules_install && sudo make install && reboot", then
> boot new kernel, then run emacs, then see if it worked...  There
> doesn't appear to be a 'git bisect run' option to pause and wait for
> an explicit user request to continue, unfortunately.

That is expected to be part of your run script, as that is a custom
and specialized need your bisection has.

It still will not work when the test procedure involves rebooting,
but "git bisect" does not require you to install and reboot the same
machine you are running the bisection on, i.e. the test process
could be "build && scp there && ssh there reboot && see if comes up"
;-)